
%define debug_package %{nil}
Name:    tezos-accuser-PtNairob
Version: 19.0rc1
Release: 2
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-PtNairob-19.0rc1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v19.0-rc1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-PtNairob
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-PtNairob %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-PtNairob %{buildroot}/%{_bindir}/tezos-accuser-PtNairob



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptnairob.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptnairob@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-ptnairob.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-ptnairob

install -m 0755 tezos-accuser-ptnairob-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-PtNairob
%{_bindir}/tezos-accuser-PtNairob

%{_bindir}/tezos-accuser-ptnairob-start

%{_unitdir}/tezos-accuser-ptnairob.service
%{_unitdir}/tezos-accuser-ptnairob@.service

%{_sysconfdir}/default/tezos-accuser-ptnairob



%post
%systemd_post tezos-accuser-ptnairob.service
%systemd_post tezos-accuser-ptnairob@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-ptnairob.service
%systemd_preun tezos-accuser-ptnairob@.service


%postun
%systemd_postun_with_restart tezos-accuser-ptnairob.service
%systemd_postun_with_restart tezos-accuser-ptnairob@.service



